Description

In particular, there is angular deviation between saved and restored heading that corresponds to planet's rotational speed and time
difference between the points of quicksave and quickload.

Possibly there is some heading correction that uses UT timestamp from before the quicksave instead of the timestamp within the
quicksave.

Reproduction:

e put a ship in orbit in inertial frame (above 100 km altitude on Kerbin). Turn it so that it is oriented near equatorial plane
(prograde/retrograde or radial directions, not normal). Make note of its heading and quicksave. | have prepared a quicksave with
such ship (attached). The ship is aiming at a maneuver indicator for reference. Quickload twice to get it in initial position. In
further steps I'll assume the ship is orbiting Kerbin. Demonstrating the issue around Mun might be problematic due to its slow
rotation.

e Time warp half an orbit (20 minutes). Quickload. Notice the deviation from initial heading is about 20 degrees

¢ You may quickload again after each step to reset the ship to original heading but is it not necessary

Time warp an hour UT. Quickload. Notice the deviation from initial heading is about 60 degrees.

e Time warp three hours UT. Quickload. Notice the ship is now heading in opposite direction.

Time warp six hours UT. Quickload. Notice there is no (or very little) deviation from initial heading - a full circle was made.

The workaround is to quickload again. Unfortunately this step is not obvious and in certain situations (quicksave with constellation of
multiple ships in close vicinity, e.g. during docking) loading the ship in wrong orientation may lead to the ships clipping through each
other and getting destroyed.

History

#1 - 07/17/2016 09:43 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 10/15/2016 06:41 PM - Kasuha
Appears fixed in 1.2

#3 - 08/06/2019 05:30 PM - chris.fulton
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#4 - 08/06/2019 05:30 PM - chris.fulton

- Status changed from Resolved to Closed
